Install

Note: the mod version of Forgotten Empires is no longer patched. For continued support, please check out our Steam page.

Requirements

Age of Empires II: Forgotten Empires is an unofficial expansion for Age of Empires II: The Conquerors. You thus need the original Age of Empires II “Age of Kings” and the official expansion pack “The Conquerors” before you can install Forgotten Empires.

Install

  1. Make sure to have Age of Empires II: The Conquerors installed
  2. Download the installer exe | zip
  3. Unzip the file into your Age of Empires II Installation folder (typically C:\Program Files\Microsoft Games\Age of Empires II\) (example picture)
  4. Select your language
  5. Click Install

AoFE_Setup_Preview

Got problems? Check our Support page here!
If you have problems picking your language, check this page!

If you’d have troubles with the installer for some reason: Manual installation

Manual Installation Instructions

  1. Make sure to have Age of Empires II: The Conquerors installed
  2. Download the Manual installation
  3. Unzip the file into your Age of Empires II Installation folder (typically C:\Program Files\Microsoft Games\Age of Empires II\)
  4. Go to the /age2_x1 subfolder and run Fixaofe.exe
  5. Run age2_x2.exe to play!

Enjoy!

  • AOE Addict

    Thank you so muuuch!!! this is the best game in the world!!!!

  • Cosmin Pasla

    I download the manual install and work for me :)

  • disqus_Qo2QQRlVIp

    You are guys are seriously AWESOME!

    I expected only the 5 new civs (which is great in and of itself), yet you guys added 60fps and widescreen! And you added SLAVS as one of the civs – which is what I am haha.

    Hope ya see this message.
    Just wanted to give ya’ll props, man.

  • Aranav Kacker

    i have installed it using manual installation but the civilizations are all mixed up. In indians it shows gunpowder civilization(ie that of turks) vikings is foot archer(britans) and so on. Please help

  • Pingback: Cara Instal Age Of Empire 2 Hd | caraku.work()

  • Meťjú Greňa

    i can’t install it.it shows me arch error. can you please help me with this?